Mono.Addins 0.4.0.0 1.0.0.0 Progress status listener. This interface is used by several add-in operations for progress reporting.
- Method
  System.Void Cancels the operation being montorized. 0.4.0.0
- Property
  System.Boolean To be added. To be added. To be added. 0.4.0.0
- Method
  System.Void `` Message to write. Writes text to the log. 0.4.0.0
- Property
  0.4.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Void `` `` Error message (may be null). Exception that originated the error (may be null). Reports and error. This method is called by the add-in engine to report an error occurred while executing the operation being monitorized. 0.4.0.0
- Method
  System.Void `` Warning message. Reports a warning. This method is called by the add-in engine to report a warning in the operation being monitorized. 0.4.0.0
- Method
  System.Void `` A message. Sets the description of the current operation. This method is called by the add-in engine to show a description of the operation being monitorized. 0.4.0.0
- Method
  System.Void `` A number between 0 and 1. 0 means no progress, 1 means operation completed. Sets the progress of the operation. This method is called by the add-in engine to show the progress of the operation being monitorized. 0.4.0.0